> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/editors/domainupdown/wisej.web.domainupdown.domainupdownitemcollection.md).

# DomainUpDown.DomainUpDownItemCollection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Encapsulates a collection of objects for use by the [DomainUpDown](/api/wisej.web/editors/domainupdown.md) class.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DomainUpDownItemCollection : IList, ICollection, IEnumerable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DomainUpDownItemCollection
    Inherits IList
    Implements ICollection, IEnumerable
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Count

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the number of items in the collection.

### ![](/files/hsR4ok3152WyAf8J2C1u) IsReadOnly

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns a value indicating whether this collection can be modified.

### ![](/files/hsR4ok3152WyAf8J2C1u) Item(index)

[Object](https://docs.microsoft.com/dotnet/api/system.object): Retrieves the item at the specified index within the collection.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception)\
  The index was less than zero; or the index was greater of equal to the count of items in the collection.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) Add(item)

Adds an object to the end of the collection.

| Parameter | Type                                                          | Description                                                                                                                        |
| --------- | ------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **item**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The [Object](https://docs.microsoft.com/dotnet/api/system.object) to be added to the end of the collection. The value can be null. |

**Returns:** [Int32](https://docs.microsoft.com/dotnet/api/system.int32). The index at which the *item* has been added.

### ![](/files/hsR4ok3152WyAf8J2C1u) AddRange(items)

Adds a collection of objects to the end of the collection.

| Parameter | Type                                                              | Description                                |
| --------- | ----------------------------------------------------------------- | ------------------------------------------ |
| **items** | [Object\[\]](https://docs.microsoft.com/dotnet/api/system.object) | Items to add to the end of the collection. |

### ![](/files/hsR4ok3152WyAf8J2C1u) Clear()

Removes all items from the [DomainUpDown](/api/wisej.web/editors/domainupdown.md) control.

### ![](/files/hsR4ok3152WyAf8J2C1u) Contains(item)

Determines if the specified item is located within the collection.

| Parameter | Type                                                          | Description                                                  |
| --------- | ------------------------------------------------------------- | ------------------------------------------------------------ |
| **item**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | An object representing the item to locate in the collection. |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). true if the item is located within the collection; otherwise, false.

### ![](/files/hsR4ok3152WyAf8J2C1u) GetEnumerator()

Returns an enumerator that can be used to iterate through the item collection.

**Returns:** [IEnumerator](https://docs.microsoft.com/dotnet/api/system.collections.ienumerator). A [IEnumerator](https://docs.microsoft.com/dotnet/api/system.collections.ienumerator) that represents the item collection.

### ![](/files/hsR4ok3152WyAf8J2C1u) IndexOf(item)

Retrieves the index within the collection of the specified item.

| Parameter | Type                                                          | Description                                                  |
| --------- | ------------------------------------------------------------- | ------------------------------------------------------------ |
| **item**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | An object representing the item to locate in the collection. |

**Returns:** [Int32](https://docs.microsoft.com/dotnet/api/system.int32). The zero-based index where the item is located within the collection; otherwise, -1.

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception)\
  The *item* parameter was null.

### ![](/files/hsR4ok3152WyAf8J2C1u) Insert(index, item)

Inserts an element into the collection at the specified index.

| Parameter | Type                                                          | Description                                                                                         |
| --------- | ------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| **index** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)   | The zero-based index at which *item* should be inserted.                                            |
| **item**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The [Object](https://docs.microsoft.com/dotnet/api/system.object) to insert. The value can be null. |

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception)*index* is less than zero, or *index* is greater than number of items in the collection.

### ![](/files/hsR4ok3152WyAf8J2C1u) Remove(item)

Removes the first occurrence of a specific object from the collection.

| Parameter | Type                                                          | Description                                                                                                             |
| --------- | ------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| **item**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The [Object](https://docs.microsoft.com/dotnet/api/system.object) to remove from the collection. The value can be null. |

### ![](/files/hsR4ok3152WyAf8J2C1u) RemoveAt(index)

Removes the element at the specified index of the collection.

| Parameter | Type                                                        | Description                                    |
| --------- | ----------------------------------------------------------- | ---------------------------------------------- |
| **index** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The zero-based index of the element to remove. |

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception)*index* is less than zero; or *index* is equal to or greater than number of items in the collection.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/editors/domainupdown/wisej.web.domainupdown.domainupdownitemcollection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
